Bug 546224 - SELinux is preventing /usr/bin/xauth "write" access on /usr/NX/home/nx.
Summary: SELinux is preventing /usr/bin/xauth "write" access on /usr/NX/home/nx.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:87f2f7d5e14...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-10 13:42 UTC by Elad Alfassa
Modified: 2009-12-22 20:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:20 UTC
Type: ---


Attachments (Terms of Use)

Description Elad Alfassa 2009-12-10 13:42:24 UTC
Summary:

SELinux is preventing /usr/bin/xauth "write" access on /usr/NX/home/nx.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by xauth. It is not expected that this access is
required by xauth and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023
Target Context                system_u:object_r:nx_server_home_ssh_t:s0
Target Objects                /usr/NX/home/nx [ dir ]
Source                        xauth
Source Path                   /usr/bin/xauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-xauth-1.0.2-7.fc12
Target RPM Packages           nxserver-3.4.0-8
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.6-162.fc12.x86_64 #1 SMP Fri
                              Dec 4 00:06:26 EST 2009 x86_64 x86_64
Alert Count                   18
First Seen                    IST 15:18:35 2009 דצמ 10 ה'
Last Seen                     IST 15:40:38 2009 דצמ 10 ה'
Local ID                      596eda50-1a35-465c-98f0-26c37bfe73d5
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260452438.797:200): avc:  denied  { write } for  pid=7890 comm="xauth" name="nx" dev=sda6 ino=1067521 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:nx_server_home_ssh_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1260452438.797:200): avc:  denied  { add_name } for  pid=7890 comm="xauth" name=".Xauthority-c" scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=system_u:object_r:nx_server_home_ssh_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1260452438.797:200): avc:  denied  { create } for  pid=7890 comm="xauth" name=".Xauthority-c" scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:nx_server_home_ssh_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1260452438.797:200): avc:  denied  { write open } for  pid=7890 comm="xauth" name=".Xauthority-c" dev=sda6 ino=148180 scontext=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:nx_server_home_ssh_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1260452438.797:200): arch=c000003e syscall=2 success=yes exit=128 a0=7ffffd041f70 a1=c1 a2=180 a3=7ffffd041b60 items=0 ppid=7889 pid=7890 auid=480 uid=480 gid=466 euid=480 suid=480 fsuid=480 egid=466 sgid=466 fsgid=466 tty=(none) ses=10 comm="xauth" exe="/usr/bin/xauth" subj=unconfined_u:unconfined_r:xauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,xauth,xauth_t,nx_server_home_ssh_t,dir,write
audit2allow suggests:

#============= xauth_t ==============
allow xauth_t nx_server_home_ssh_t:dir { write add_name };
allow xauth_t nx_server_home_ssh_t:file { write create open };

Comment 1 Daniel Walsh 2009-12-10 16:22:54 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-58.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:54:01 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:42:13 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.